Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

Get organization settings.

Get organization settings. An organization-scoped read using JSON filter arguments; requires staff.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/get_organization_settings
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
object
Responses
200

Successful read.

dataobjectrequired
Show properties
domainsobject[]required
Show properties
Array of object
dns_configuredboolean
hostnamestringrequired
idstringrequired

Opaque Soljio resource ID.

min length 1
kindstringrequired
Show properties
Any of:
string
string
string
string
statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
vercel_verifiedboolean
invitationsobject[]required
Show properties
Array of object
emailstringrequired
expires_atstring<date-time>required
idstringrequired

Opaque Soljio resource ID.

min length 1
rolestringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
statusstringrequired
Show properties
Any of:
string
Any of:
string
string
string
string
string
string
string
string
locationsobject[]required
Show properties
Array of object
address_line1string
address_line2string
citystring
countrystring
idstringrequired

Opaque Soljio resource ID.

min length 1
kindstringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
string
string
namestringrequired
postal_codestring
regionstring
slugstringrequired
statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
timezonestring
membershipsobject[]required
Show properties
Array of object
display_namestring
emailstring
idstringrequired

Opaque Soljio resource ID.

min length 1
is_viewerbooleanrequired
rolestringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
statusstringrequired
Show properties
Any of:
string
string
string
string
organizationobjectrequired
Show properties
brand_colorstring
dark_logo_urlstring
display_namestring
idstringrequired

Opaque Soljio resource ID.

min length 1
logo_urlstring
namestringrequired
notification_defaultsobject
Show properties
enrollment_confirmationsboolean
waitlist_updatesboolean
payment_instructionsstring
postal_addressstring
reply_to_emailstring
schedule_defaultsobject
Show properties
booking_increment_minutesnumber
default_capacitynumber
default_duration_minutesnumber
slugstringrequired
swim_ability_levelsstring[]required
timezonestring
welcome_linestring
resourcesobject[]required
Show properties
Array of object
capacitynumber
idstringrequired

Opaque Soljio resource ID.

min length 1
kindstringrequired
Show properties
Any of:
string
string
string
string
string
string
location_idstring

Opaque Soljio resource ID.

min length 1
namestringrequired
slugstringrequired
statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/get_organization_settings' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{}'
Response
{
  "data": {
    "domains": [
      {
        "dns_configured": true,
        "hostname": "string",
        "id": "string",
        "kind": "default_subdomain",
        "status": "pending",
        "vercel_verified": true
      }
    ],
    "invitations": [
      {
        "email": "string",
        "expires_at": "2019-08-24T14:15:22Z",
        "id": "string",
        "role": "owner",
        "status": "pending"
      }
    ],
    "locations": [
      {
        "address_line1": "string",
        "address_line2": "string",
        "city": "string",
        "country": "string",
        "id": "string",
        "kind": "facility",
        "name": "string",
        "postal_code": "string",
        "region": "string",
        "slug": "string",
        "status": "draft",
        "timezone": "string"
      }
    ],
    "memberships": [
      {
        "display_name": "string",
        "email": "string",
        "id": "string",
        "is_viewer": true,
        "role": "owner",
        "status": "active"
      }
    ],
    "organization": {
      "brand_color": "string",
      "dark_logo_url": "string",
      "display_name": "string",
      "id": "string",
      "logo_url": "string",
      "name": "string",
      "notification_defaults": {
        "enrollment_confirmations": true,
        "waitlist_updates": true
      },
      "payment_instructions": "string",
      "postal_address": "string",
      "reply_to_email": "string",
      "schedule_defaults": {
        "booking_increment_minutes": 0,
        "default_capacity": 0,
        "default_duration_minutes": 0
      },
      "slug": "string",
      "swim_ability_levels": [
        "string"
      ],
      "timezone": "string",
      "welcome_line": "string"
    },
    "resources": [
      {
        "capacity": 0,
        "id": "string",
        "kind": "space",
        "location_id": "string",
        "name": "string",
        "slug": "string",
        "status": "draft"
      }
    ]
  },
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}